WordPlurk a WordPress plugin for Plurk

Published on Jul 10, 2008   //  Development

Plurk LogoWith our success with Twitter I have been busy looking at some of the new Social microblogging sites out that are similar.

One that I came across was Plurk.

Plurk has a very nice user web interface. Currently there is no end user GUI like twhirl for Plurk which I think will slow it’s growth. I am sure there is smart people working on that GUI so Plurk will eventually become more a competitor for Twitter in months to come.

I did a bit of searching for a WordPress plugin for Plurk but only found one that allows you display your Plurk posts on your site. I wanted something that would post my blog posts to Plurk. I have been using a WordPress plugin written by fellow Vancouver resident Duane Storey called WordTwit. I modified his plugin to work with Plurk.

WordPlurk Install

  1. Download the WordPlurk zip file.
  2. Unzip and upload the file and folders to your WordPress plugins folder.
  3. Activate the plugin in your Admin section.
  4. Set your username and password in your Admin section.
  5. Next time you post to your blog it will update to Plurk automatically for you.

WordPlurk Requirements

This plugin currently works with WordPress 2.6 and lower. It also requires for curl to be installed on the server. If your host does not have curl installed please ask them to install it.

WordPlurk Development and Problems

You can view the WordPlurk code if you wish to see how to it was designed and make modifications. If you find a problem post it in the comments and we will try our best to help you resolve it.

Updates

I completed this plugin 2 days ago and had a few people beta testing it. Yesterday Plurk updated their code and the plugin stopped working. Yikes! Thanks to Matt he made some modifications to the code and it now works again.

The plugin has been upgrade to version 1.01 on July 18 2008.

6 Comments to “WordPlurk a WordPress plugin for Plurk”

  • Great stuff man, worked for awhile, not I’m getting this error:

    Warning: unserialize() expects parameter 1 to be string, object given in /web/content/wp-content/plugins/wordplurk.php on line 39

    Warning: Cannot modify header information – headers already sent by (output started at /web/content/wp-content/plugins/wordplurk.php:39) in /web/content/wp-includes/pluggable.php on line 694

  • What version of WordPlurk and WordPress are you using?

  • WP 2.5.1 and WordPlurk 1.01

  • I’m able to reproduce the first error. However, it is just a warning and should not impede upon the functionality of the plugin. If you would like to get rid of the warning, add error_reporting(0); on a new line (somewhere in between ) in your wp-config.php file.

    I’m not sure about the second error. Please redownload the plugin from:

    http://wordpress.org/extend/plugins/wordplurk/

    And reupload it to see if it fixes the second error (do that before adding error_reporting(0); to your wp-config.php file).

  • That should say:

    If you would like to get rid of the warning, add error_reporting(0); on a new line (somewhere in between <?php and ?>) in your wp-config.php file.

  • Workin’ great now man. One other problem – it’s choking on updates if there’s a single quote in the title. You can view my profile – http://www.plurk.com/user/celebritypaycut – notice some updates are incomplete – I checked and all of them were breaking at the single quote. Hope that makes sense!